<template>
  <v-snackbar
    :value="value"
  >
    {{ text }}
    <template v-slot:action="{ attrs }">
        <v-btn
            color="primary"
            text
            v-bind="attrs"
            @click="clickBtn"
        >Close</v-btn>
    </template>
  </v-snackbar>
</template>

<script>
export default {
    props: {
        value: {
            type: Boolean,
            default: false
        },
        text: String,
    },
    methods: {
        clickBtn() {
            this.$emit('click')
        }
    }
}
</script>

<style>
</style>